%define	name	arena
%define	version	0.1.0
%define release	8mdk
%define	Summary	An OpenGL Asteroids clone based on ClanLib.

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.gla55pak.com/lameduckie/02june/asteroidarena/
Group:		Games/Arcade
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
BuildRequires:	clanlib-devel clanlib-png libclanlib-sound libclanlib-network
BuildRequires:	libclanlib-gl hermes-devel MesaGLU-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Asteroid Arena is a simple Asteroids clone that uses OpenGL and the
ClanLib programming library. It features pretty graphics, somewhat-realistic
particle interactions, powerups, UFO opponents and many other things.
The object is to simply shoot asteroids and UFOs for points. Once you've
cleared all the asteroids in a level, you move on. The asteroids grow more
numerous and the asteroid fragments begin to speed up.
If you hit something with 75% or more of your shots,
you get a special accuracy award. 

%prep
%setup -q
#Insert line at end of files to get rid of warnings
perl -pi -e '$_.="\n" if eof' src/*.{cpp,h}


%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
#ugly perl fix for making arena look in the datadir for resource.dat
perl -pi -e 's!resource.dat!%{_gamesdatadir}/%{name}/resource.dat!g' src/Resource.h
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}
install -D -m644 src/resource.dat $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/resource.dat
cp -a src/img $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_menudir}
cat <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Asteroids Arena"\
		  longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README
%{_gamesbindir}/%{name}
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Apr 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1.0-8mdk
- rebuild
- fix buildrequires (lib64..)
- don't bzip2 icons in .src.rpm
- change summary macro to avoid possible conflicts if we were to build debug package
- clean %%doc

* Thu Mar 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-7mdk
- added libMesaGLU-devel to BuildRequires

* Tue Mar 11 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-6mdk
- added libhermes-devel to BuildRequires

* Sat Mar 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-5mdk
- Rebuild against new clanlib
- Updated BuildRequires

* Mon Mar 03 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.1.0-4mdk
- rebuild

* Thu Feb 13 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-3mdk
- Corrected BuildRequires

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-2mdk
- Corrected description and menuname

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 0.1.0-1mdk
- Initial release
